Bug 650509 - rsyslog creates invalid subsys lock file
rsyslog creates invalid subsys lock file
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rsyslog (Show other bugs)
5.5
All Unspecified
low Severity medium
: rc
: ---
Assigned To: Tomas Heinrich
BaseOS QE Security Team
:
Depends On:
Blocks: 698705
  Show dependency treegraph
 
Reported: 2010-11-06 16:16 EDT by Daniel Hokka Zakrisson
Modified: 2012-10-31 05:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The init script in the previous version of rsyslog created a lock-file which name didn't match the init script's name. This led to an improper action during system shutdown. The filename has been corrected and the daemon shuts down as expected.
Story Points: ---
Clone Of:
: 698705 (view as bug list)
Environment:
Last Closed: 2012-02-21 01:08:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Hokka Zakrisson 2010-11-06 16:16:14 EDT
Description of problem:
rsyslog's initscript creates a lock file named rsyslogd. The initscript's name is rsyslog, and because these two don't match, rc will not run the stop action when shutting down the system.

Version-Release number of selected component (if applicable):
rsyslog-3.22.1-3.el5
rsyslog-4.4.2-6.fc13.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Boot with rsyslog enabled
2. Check /var/lock/subsys
Comment 1 Tomas Heinrich 2010-11-08 10:07:35 EST
Thanks for the report.
In Fedora, this will be fixed with the next update.
Comment 2 Karanbir Singh 2011-07-26 08:25:02 EDT
Looks like this is also an issue in RHEL-6
Comment 4 Tomas Heinrich 2012-01-18 09:32:55 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The init script in the previous version of rsyslog created a
lock-file which name didn't match the init script's name. This
led to an improper action during system shutdown. The filename has
been corrected and the daemon shuts down as expected.
Comment 5 errata-xmlrpc 2012-02-21 01:08:29 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0228.html
Comment 6 Martin Prpič 2012-08-10 09:03:02 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1,4 @@
-The init script in the previous version of rsyslog created a
lock-file which name didn't match the init script's name. This
led to an improper action during system shutdown. The filename has
been corrected and the daemon shuts down as expected.+The init script in the previous version of rsyslog created a
+lock-file which name didn't match the init script's name. This
+led to an improper action during system shutdown. The filename has
+been corrected and the daemon shuts down as expected.

Note You need to log in before you can comment on or make changes to this bug.